#ifndef _FORM_VIEW_BASE_H_
#define _FORM_VIEW_BASE_H_

#include <gtkmm/widget.h>
#include "grt/ui_form.h"

class FormViewBase
{
protected:
  sigc::signal<void,std::string> _title_changed;

public:
  sigc::signal<void,std::string> signal_title_changed() { return _title_changed; }

  virtual std::string get_title()= 0;
  virtual Gtk::Widget *get_panel()= 0;

  virtual bec::UIForm *get_form() const= 0;
};

#endif

